Bug 1126359 - [testing report] Generate testing report by Case-Run Tester, the run's count was wrong.
Summary: [testing report] Generate testing report by Case-Run Tester, the run's count ...
Keywords:
Status: VERIFIED
Alias: None
Product: TCMS
Classification: Other
Component: Application
Version: 3.8.10
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.8.10
Assignee: cqi
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-04 09:27 UTC by yangqiu
Modified: 2018-07-04 21:42 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
[testing report] Generate testing report by Case-Run Tester, the run's count was wrong. (151.27 KB, image/jpeg)
2014-08-04 09:27 UTC, yangqiu
no flags Details

Description yangqiu 2014-08-04 09:27:11 UTC
Created attachment 923813 [details]
[testing report] Generate testing report by Case-Run Tester, the run's count was wrong.

Description of problem:
as summary.

Version-Release number of selected component (if applicable):
v3.8.10-1 on devel server.

How reproducible:
100%

Steps to Reproduce:
1.Enter testing report page, choose product as 'qiyang test product', then generate report by Case-Run Tester. Inspect the run's count.
https://tcms-devel.app.eng.nay.redhat.com/report/testing/?r_product=343&r_created_since=&r_created_before=&report_type=per_build_report
2.Enter testing report page, use the same options, that is, choose product as 'qiyang test product', then generate report by By Plan & Build Per Plan View. Inspect the run's count.

Actual results:
for step 1: there are 10 runs.
for step 2: there are 9 runs.

Expected results:
both for step 1 and step 2 are 9 runs.

Additional info:

Comment 1 cqi 2014-08-05 11:54:43 UTC
fixed.

Comment 2 yangqiu 2014-08-06 06:16:47 UTC
verify this issue on 3.8.10-1 on devel server.--->Pass
verify steps are same as description.


Note You need to log in before you can comment on or make changes to this bug.